> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/bmc/cidr-block/createbyoip.md).

# CreateByoip

## 1. 接口描述

本接口(CreateByoip)用于创建一个BYO IP。

{% hint style="info" %}
**注意事项**

* 本接口为异步接口，当创建Byoip请求下发成功后会返回`byoipId`和`cidrBlockId`，此时创建Byoip操作并未立即完成。
* 入参 `cidr` 只支持 IPv4，掩码 22-24
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称                     | 必选 | 类型                                                              | 描述              |
| ------------------------ | -- | --------------------------------------------------------------- | --------------- |
| ipType                   | 是  | [IpType](/api-reference/cn/compute/bmc/datastructure.md#iptype) | IP 类型。          |
| cidr                     | 是  | String                                                          | 宣告IPv4或IPv6地址段。 |
| asn                      | 是  | Integer                                                         | ASN号。           |
| publicVirtualInterfaceId | 是  | String                                                          | 公网VLAN 唯一标识。    |

## 3. 响应结果

| 参数名称        | 类型     | 描述                                                       |
| ----------- | ------ | -------------------------------------------------------- |
| requestId   | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| byoipId     | String | 创建成功的 BYOIP ID。                                          |
| cidrBlockId | String | 创建成功的 CIDR ID。                                           |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 创建BYOIP**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: CreateByoip
<Common Request Params>

Request：
{
    "ipType": "IPV4",
    "cidr": "22.22.22.0/24",
    "asn": 33322,
    "publicVirtualInterfaceId": "<publicVirtualInterfaceId>"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "byoipId": "<byoipId>",
    "cidrBlockId": "<cidrBlockId>"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                          | 说明                 |
| ------- | -------------------------------------------- | ------------------ |
| 404     | OPERATION\_DENIED\_VLAN\_NOT\_FOUND          | 公网VLAN不存在。         |
| 403     | OPERATION\_DENIED\_ZONE\_NOT\_SUPPORT\_BYOIP | 节点不支持BYOIP。        |
| 400     | INVALID\_CIDR\_FORMAT                        | BYOIP参数CIDR格式错误。   |
| 400     | INVALID\_CIDR\_PREFIX\_LENGTH                | BYOIP参数CIDR掩码范围错误。 |
| 403     | OPERATION\_DENIED\_BYOIP\_ASN\_NOT\_SUPPORT  | BYOIP参数ASN值不支持。    |
| 403     | OPERATION\_DENIED\_BYOIP\_RPKI\_NOT\_LEGAL   | BYOIP RPKI宣告不合法。   |
| 403     | OPERATION\_DENIED\_BYOIP\_RADB\_NOT\_LEGAL   | BYOIP RADB宣告不合法。   |
| 409     | OPERATION\_DENIED\_BYOIP\_DUPLICATED         | BYOIP存在重复。         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/bmc/cidr-block/createbyoip.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
